Bug 17124 - DecreaseLoanHighHolds.t does not pass
Summary: DecreaseLoanHighHolds.t does not pass
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 16849
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-15 08:26 UTC by Jonathan Druart
Modified: 2017-12-07 22:16 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17124: Fix tests in DecreaseLoanHighHolds.t (1.47 KB, patch)
2016-08-15 08:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17124: Fix tests in DecreaseLoanHighHolds.t (1.52 KB, patch)
2016-08-15 10:01 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 17124: Fix tests in DecreaseLoanHighHolds.t (1.58 KB, patch)
2016-08-15 13:37 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-08-15 08:26:59 UTC

    
Comment 1 Jonathan Druart 2016-08-15 08:29:57 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2016-08-15 10:01:59 UTC Comment hidden (obsolete)
Comment 3 Nick Clemens 2016-08-15 13:37:57 UTC
Created attachment 54476 [details] [review]
Bug 17124: Fix tests in DecreaseLoanHighHolds.t

One test of DecreaseLoanHighHolds.t does not pass,
A hashref representing a patron has a 'borrower' key defined, instead of
'borrowernumber'.

Test plan:
  prove t/db_dependent/DecreaseLoanHighHolds.t
must return green

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Kyle M Hall 2016-08-18 15:56:56 UTC
Pushed to master for 16.11, thanks Jonathan!
Comment 5 Frédéric Demians 2016-08-23 10:37:53 UTC
Pushed in 16.05. Will be in 16.05.03.